E-MailRelay

Public Member Functions | Public Attributes | List of all members
GStore::FileStore::Config Struct Reference

Configuration structure for GStore::FileStore. More...

`#include <gfilestore.h>`

## Public Member Functions
Config & | set_max_size (std::size_t) noexcept
Config & | set_seq (unsigned long) noexcept

## Public Attributes
std::size_t | max_size {0U}
unsigned long | seq {0UL}

## Detailed Description

Configuration structure for GStore::FileStore.

Definition at line 68 of file gfilestore.h.

## Member Function Documentation

## ◆ set_max_size()

GStore::FileStore::Config & GStore::FileStore::Config::set_max_size | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 246 of file gfilestore.h.

## ◆ set_seq()

GStore::FileStore::Config & GStore::FileStore::Config::set_seq | ( | unsigned long | n | ) |
| inline noexcept

Definition at line 247 of file gfilestore.h.

## Member Data Documentation

## ◆ max_size

std::size_t GStore::FileStore::Config::max_size {0U}

Definition at line 70 of file gfilestore.h.

## ◆ seq

unsigned long GStore::FileStore::Config::seq {0UL}

Definition at line 71 of file gfilestore.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gfilestore.h